function onTalk()
    makeUnskippable()
    disableMovement()
    disableRetry()
    say("SAJICO_Cold_back")
    wait(0.5)
end

function onEnd()
    setFlag("back_berry")
    enableMovement()
    enableRetry()
end
